# Class TableFilterService

#### Implements

- FilterLike
- OnDestroy

- Defined in packages/angular/material/table-system/src/lib/table-filter/table-filter.service.ts:18

#####
Index

### Constructors

constructor

### Properties

_init
_subscription
change
current
reset$

### Methods

ngOnDestroy
remove
reset
set
setMap

## Constructors

### constructor

- new TableFilterService(): TableFilterService

- #### Returns TableFilterService

  - Defined in packages/angular/material/table-system/src/lib/table-filter/table-filter.service.ts:36

## Properties

### `Private` _init

_init: boolean = false

a flag to indicate whether any value was already send to the change subject true - a value was send false - no value was send

- Defined in packages/angular/material/table-system/src/lib/table-filter/table-filter.service.ts:34

### `Private` _subscription

_subscription: Subscription

- Defined in packages/angular/material/table-system/src/lib/table-filter/table-filter.service.ts:24

### `Readonly` change

change: ReplaySubject<Record<string, any>> = ...

Implementation of FilterLike.change

- Defined in packages/angular/material/table-system/src/lib/table-filter/table-filter.service.ts:20

### current

current: Record<string, any> = {}

Implementation of FilterLike.current

- Defined in packages/angular/material/table-system/src/lib/table-filter/table-filter.service.ts:22

### `Readonly` reset$

reset$: Subject<void> = ...

- Defined in packages/angular/material/table-system/src/lib/table-filter/table-filter.service.ts:26

## Methods

### ngOnDestroy

- ngOnDestroy(): void

- #### Returns void

  Implementation of OnDestroy.ngOnDestroy

  - Defined in packages/angular/material/table-system/src/lib/table-filter/table-filter.service.ts:69

### remove

- remove(key): void

- #### Parameters

  - key: string

  #### Returns void

  - Defined in packages/angular/material/table-system/src/lib/table-filter/table-filter.service.ts:60

### reset

- reset(): void

- #### Returns void

  - Defined in packages/angular/material/table-system/src/lib/table-filter/table-filter.service.ts:40

### set

- set(key, value): void

- #### Parameters

  - key: string
  - value: any

  #### Returns void

  - Defined in packages/angular/material/table-system/src/lib/table-filter/table-filter.service.ts:54

### setMap

- setMap(map): void

- #### Parameters

  - map: Record<string, any>

  #### Returns void

  - Defined in packages/angular/material/table-system/src/lib/table-filter/table-filter.service.ts:44